<template>
    <div>
        <div class="ml-6">
            <h1>{{ page.title }}</h1>
        </div>
        <div class="space-y-6">
            <div class="p-6 lg:p-8 rounded-lg bg-white bg-opacity-80 dark:bg-gray-900 dark:bg-opacity-80 dark:text-gray-300">
                <div class="prose-lg">
                    <nuxt-content :document="page" />
                </div>
            </div>
        </div>
    </div>
</template>

<script>
export default {
    async asyncData({ $content }) {
        const page = await $content('about').fetch()

        return {
            page,
        }
    },
    head() {
        return {
            title: this.page.title,
        }
    },
}
</script>
